@font-face {
  font-display: swap;
  font-family: 'Fira Sans Condensed Medium';
  font-style: normal;
  font-weight: 500;
  src: local(''), url('../Fonts/fira-sans-condensed-v10-latin-500.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Fira Sans Condensed Bold';
  font-style: normal;
  font-weight: 700;
  src: local(''), url('../Fonts/fira-sans-condensed-v10-latin-700.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: local(''), url('../Fonts/open-sans-v40-latin-regular.woff2') format('woff2');
}

*,
*::after,
*::before {
  margin: 0;
  box-sizing: border-box;
}

:root {
  /* Fonts */
  --ff-base: 'Open Sans', system-ui;

  /* Font Sizes */
  --fs-400: 14px;

  /* Font Weight */
  --fw-light: 300;
  --fw-regular: 400;
  --fw-medium: 500;
  --fw-semibold: 600;
  --fw-bold: 700;
  --fw-black: 800;
  --fw-700: 700;

  /* Color */
  --clr-black: #1c1c1c;
  --clr-white: #ffffff;
  --clr-neutral: #fbfbfb;
  --clr-primary: #ff8500;

  --header-height: 3.5rem;
  --max-content-width: 1046px;
  --grid-columns: 12;
  --grid-padding: 2rem;

  --box-shadow: 0 0 1rem rgb(0 0 0 / 0.122);

  --z-fixed: 500;
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: calc(88px + 2rem);
}

body {
  font-family: var(--ff-base);
  font-size: 1rem;
  line-height: 1.5;
  background-color: var(--clr-neutral);
}

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
  vertical-align: middle;
}

img,
video {
  max-width: 100%;
  height: auto;
}

img {
  pointer-events: none; /* Prevent Visual Search in Edge Browser */
}

a {
  color: var(--clr-black, --clr-primary);
}

a:hover,
a:focus {
  text-decoration: none;
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-flow > * + * {
  margin-top: 1rem;
}

/* Spacing */

[data-space-before='none'] {
  padding-block-start: 0 !important;
}

[data-space-before='small'] {
  padding-block-start: 1.5rem !important;
}

[data-space-before='medium'] {
  padding-block-start: 3rem !important;
}

[data-space-after='none'] {
  padding-block-end: 0 !important;
}

[data-space-after='small'] {
  padding-block-end: 1.5rem !important;
}

[data-space-after='medium'] {
  padding-block-end: 3rem !important;
}

/* Eyebrow */

.eyebrow {
  font-size: 0.75rem;
  line-height: 1rem;
  text-transform: uppercase;
}

/* Lead */
/* https://fluidtypography.com/#app-get-started */

/*
.lead {
  font-size: 1.25rem;
  line-height: 1.75rem;
  hyphens: auto;
}
*/

/* Heading */

.heading {
  hyphens: auto;
}

.heading--white {
  color: var(--clr-white);
}

.heading--primary {
  color: var(--clr-primary);
}

.heading--secondary {
  color: var(--clr-secondary);
}

/* https://clamp.font-size.app/ */

.heading--h1 {
  font-family: 'Fira Sans Condensed Bold', sans-serif;
  font-size: clamp(2.25rem, 1.6383rem + 1.699vw, 3.125rem);
}

.heading--h2 {
  font-family: 'Fira Sans Condensed Bold', sans-serif;
  font-size: clamp(1.875rem, 1.4381rem + 1.2136vw, 2.5rem);
}

.heading--3 {
  font-family: 'Fira Sans Condensed Medium', sans-serif;
  font-size: 1.875rem;
}

.heading + .heading {
  margin-top: 0.5rem;
}

.button {
  --_button-color: var(--button-color, hsl(0, 0%, 100%));
  --_button-hover-color: var(--button-hover-color, hsl(0, 0%, 0%));
  --_button-bg-color: var(--button-bg-color, hsl(0, 0%, 0%));
  --_button-bg-hover-color: var(--button-bg-hover-color, hsl(0, 0%, 83%));

  display: inline-flex;
  align-items: center;
  gap: 0 10px;
  padding-inline: 1.25rem;
  padding-block: 0.75rem;
  color: var(--_button-color);
  background-color: var(--_button-bg-color);
  text-decoration: none;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: var(--fw-bold);
  transition: background-color 0.3s;
}

.button:hover,
.button:focus {
  color: var(--_button-hover-color);
  background-color: var(--_button-bg-hover-color);
}

.button::after {
  content: '';
  display: block;
  width: 15px;
  height: 14px;
  background-image: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTUiIGhlaWdodD0iMTQiIHZpZXdCb3g9IjAgMCAxNSAxNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTkuMjYzODkgMC41OTU0Nkw4LjgzMTkyIDEuMTAyMzFDOC43MjM0NCAxLjIyOTU5IDguNzIzNDUgMS40MzU5NiA4LjgzMTkyIDEuNTYzMjRMMTIuODgyMiA2LjMxNTUySDAuMjc3NzY3QzAuMTI0MzYxIDYuMzE1NTIgMCA2LjQ2MTQ0IDAgNi42NDE0NVY3LjM1ODM5QzAgNy41MzgzOSAwLjEyNDM2MSA3LjY4NDMxIDAuMjc3NzY3IDcuNjg0MzFIMTIuODgyMkw4LjgzMTkyIDEyLjQzNjhDOC43MjM0NCAxMi41NjQgOC43MjM0NCAxMi43NzA0IDguODMxOTIgMTIuODk3N0w5LjI2Mzg5IDEzLjQwNDVDOS4zNzIzNiAxMy41MzE4IDkuNTQ4MjMgMTMuNTMxOCA5LjY1NjcxIDEzLjQwNDVMMTQuOTE4NiA3LjIzMDM4QzE1LjAyNzEgNy4xMDMxIDE1LjAyNzEgNi44OTY3NCAxNC45MTg2IDYuNzY5NDZMOS42NTY3MSAwLjU5NTQ1N0M5LjU0ODIzIDAuNDY4MTggOS4zNzIzNiAwLjQ2ODE4MSA5LjI2Mzg5IDAuNTk1NDZaIiBmaWxsPSJ3aGl0ZSIvPgo8L3N2Zz4=');
  flex-shrink: 0;
}

.button--primary {
  --_button-color: white;
  --_button-hover-color: white;
  --_button-bg-color: var(--clr-primary);
  --_button-bg-hover-color: var(--clr-black);
}

.button--ghost {
  --_button-color: black;
  --_button-hover-color: black;
  --_button-bg-color: transparent;
  --_button-bg-hover-color: var(--button-bg-hover-color, hsl(0, 0%, 83%));
}

/* Details */

details > summary {
  list-style: none;
  cursor: pointer;
}

details > summary::-webkit-details-marker {
  display: none;
}

.main {
  --grid-columns: 12;
  --grid-padding: 2rem;

  display: grid;
  grid-template-columns:
    minmax(var(--grid-padding), 1fr) repeat(
      var(--grid-columns),
      minmax(0, calc(var(--max-content-width) / var(--grid-columns)))
    )
    minmax(var(--grid-padding), 1fr);
}

.main > * {
  grid-column: 1/-1;

  display: grid;
  grid-template-columns: subgrid;
  row-gap: 3rem;
}

.main > * > * {
  grid-column: 2/-2;
}

.component {
  padding-block: 3rem;
}

.component__heading > * + * {
  margin-top: 1rem;
}

.heading:nth-child(1):after {
  content: '';
  display: block;
  width: 41px;
  height: 7px;
  margin-block: 1rem 2.25rem;
  background-color: var(--clr-primary);
}

/* Gallery */

.gallery {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 1rem;
}

@media (min-width: 576px) {
  :root {
    --max-content-width: 576px;
  }
}

@media (min-width: 768px) {
  :root {
    --max-content-width: 768px;
  }
}

@media (min-width: 992px) {
  :root {
    --max-content-width: 992px;
  }
  .gallery--2 {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 1200px) {
  :root {
    --max-content-width: 1200px;
  }
}

@media (min-width: 1400px) {
  :root {
    --max-content-width: 1400px;
  }
}
